---
lang: en
title: 'API docs: rest.rawbodyparser'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.rawbodyparser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RawBodyParser](./rest.rawbodyparser.md)

## RawBodyParser class

Parsing the request body into Buffer

<b>Signature:</b>

```typescript
export declare class RawBodyParser implements BodyParser 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./rest.rawbodyparser.(constructor).md) |  | Constructs a new instance of the <code>RawBodyParser</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./rest.rawbodyparser.name.md) |  | <code>symbol</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [parse(request)](./rest.rawbodyparser.parse.md) |  |  |
|  [supports(mediaType)](./rest.rawbodyparser.supports.md) |  |  |


